﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using Telerik.Windows;
using Telerik.Windows.Controls.DragDrop;

namespace TabCOntrolTest
{
    public partial class MainPage : UserControl 
    {
        public MainPage() 
        {
            InitializeComponent();
            //PopulateTabs();
            this.tabControl.DataContext = new DataItem() { Visible = Visibility.Collapsed };

            tabControl.AddHandler( RadDragAndDropManager.DropQueryEvent, new EventHandler<DragDropQueryEventArgs>( OnDropQuery ),true );
            tabControl.AddHandler( RadDragAndDropManager.DragQueryEvent, new EventHandler<DragDropQueryEventArgs>( OnDragQuery ), true );
            tabControl.AddHandler( RadDragAndDropManager.DropInfoEvent, new EventHandler<DragDropEventArgs>( OnDropInfo ) ,true);
            tabControl.AddHandler( RadDragAndDropManager.DragInfoEvent, new EventHandler<DragDropEventArgs>( OnDragInfo ),true );
        }

        // OnDragQuery event handler
        private void OnDragQuery( object sender, DragDropQueryEventArgs e )
        {
            e.QueryResult = true;
        }
        // OnDropQuery event handler
        private void OnDropQuery( object sender, DragDropQueryEventArgs e )
        {
            e.QueryResult = true;
        }
        // OnDropInfo event handler
        private void OnDropInfo( object sender, DragDropEventArgs e )
        {
            RadTabItem source = e.Options.Source as RadTabItem;
            RadTabItem dest = e.Options.Source as RadTabItem;
            if (dest != null && source == dest)
            {
 
            }
        }
        // OnDragInfo event handler
        private void OnDragInfo( object sender, DragDropEventArgs e )
        {
            
        }
           
        

        private void PopulateTabs()
        {
            ObservableCollection<DataItem> collection = new ObservableCollection<DataItem>();
            for (int i = 0; i < 15; i++)
            {
                DataItem item = new DataItem();
                item.Name = "Dataitem" + i;
                collection.Add(item);
            }

            this.tabControl.ItemsSource = collection;
        }

        private void ForeachAllTabItems()
        {
            foreach (var item in this.tabControl.Items)
            {
                RadTabItem tabItem = this.tabControl.ItemContainerGenerator.ContainerFromItem(item as DataItem) as RadTabItem;
                if (tabItem != null)
                {
 
                }
            }

        }

        private void tabControl_DragLeave(object sender, DragEventArgs e)
        {

        }

        private void tabControl_DragOver(object sender, DragEventArgs e)
        {

        }   
    }
}

    


    


    

  



    





 